Obtain a token
/loginThis API transaction is the only one in which you need to supply your Outbrain credentials.
Your credentials should be sent using Basic Authentication.
This means that the HTTP Request should include a header:
named Authorization
value: BASIC BASE-64-ENC(YOUR_OUTBRAIN_USER_NAME:YOUR_OUTBRAIN_PASSWORD)
Since all communication to Amplify API are HTTPS, your credentials are safe.
You can try it using curl command (add -v to actually see the Authorization HTTP header:
curl -u YOUR_OUTBRAIN_USER_NAME:YOUR_OUTBRAIN_PASSWORD https://api.outbrain.com/amplify/v0.1/login
Transport Layer Security version 1.2 (TLS 1.2) is mandatory for communication with Amplify API. You will need to verify that your environment supports TLS 1.2, and if necessary make appropriate updates.
Please note that older versions of curl do not support TLS 1.2 and need to be upgraded.
Authorization
basicAuth Outbrain username and password.
In: header
Response Body
application/json
curl -X GET "https://example.com/login"{ "OB-TOKEN-V1": "EXAMPLE_TOKEN_NOT_VALID_FOR_LIVE_REQUESTS"}